---
title: "Setting up riseup.net as an email provider for Mastodon"
date: 2023-01-31T12:51:43-08:00
draft: false
tags:
    - riseup
    - mastodon
    - tutorial
---

Heyo! It's been a while, but I managed to do something quite neat if you're on a budget and want to start a Mastodon instance. As a de-facto requirement for a Mastodon instance, you'll need to have an email server hooked up. This can get [pricey](https://www.mailgun.com/pricing/), so an alternative is an ideal way to save money long-term. This is where [riseup](https://riseup.net/) comes in. They provide an email service for activists for free (as long as you have an [invite](https://riseup.net/en/email#other-nice-features-from-your-riseup-account)) Unfortunately, you cannot use a custom domain with riseup [yet](https://support.riseup.net/en/topics/11584-custom-domain/posts), so when emails are sent to users of your Mastodon server, it'll be an `@riseup.net` address. This article details the steps you'll need to take to configure riseup for your very own Mastodon server.

## Getting a Riseup email
You'll need an invite to join riseup, so I suggest asking your radical friends for an invite (please don't bug me for an invite code, I will not give one to you unless I know you). Once you have that, you can [create a new account](https://account.riseup.net/user/new) with the username being related to the name of your new Mastodon instance (e.g. emeraldsocial is the riseup username for my own instance). Congrats! You've got a riseup email now! The address will be `[username]@riseup.net`.

## Connecting your email to Mastodon
The next step is to actually connect [SMTP](https://en.wikipedia.org/wiki/Simple_Mail_Transfer_Protocol) endpoints to Mastodon's `.env.production`, located in the root folder of your live installation. Really, any text editor will work, but I decided to use `vim` because I'm used to it (***editor wars intensifies***). In the `Sending mail` section of `.env.production`, add the following lines:
```
# Sending mail
# ------------
SMTP_SERVER=mail.riseup.net
SMTP_PORT=587
SMTP_LOGIN=[username]
SMTP_PASSWORD=[averysecurepassword]
SMTP_FROM_ADDRESS=[username]@riseup.net
SMTP_AUTH_METHOD=plain
```

Then you can save and exit that file (on `vim`, this is `:wq`) and finally test it out by logging into a new session on your Mastodon account from an unknown IP address, resetting your password, or any other action which triggers an email notification. Now you've got a functional email setup for your Mastodon server at no cost to you! I hope you enjoyed this article and will share it across the world.